Summary: asp2php converts WWW Active Server Pages to PHP pages
Name: asp2php
Version: 0.77.3
Release: 1ml
License: GPL
Group: Development/Tools
Source0: http://downloads.mikekohn.net/asp2php/%{name}-%{version}.tar.gz
Patch0: asp2php-0.77.3-token_buff_overflow.patch
URL: http://asp2php.naken.cc/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk+-devel, glibc-devel, make, /usr/bin/gcc

%package gtk
Summary: gtk+ frontend for asp2php
Group: Development/Tools
Requires: %{name} = %{version}

%description
asp2php converts WWW Active Server Pages (ASP) files that run on the Microsoft
IIS Web Server into PHP pages to run on Apache.

%description gtk
gtk+ frontend to asp2php

%prep
%setup
perl -pi -e "s/gcc/gcc $RPM_OPT_FLAGS/g" Makefile

%patch0 -p1 -b .token

%build
make
cd src
make gui

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
cp -f asp2php src/gtkasp2php $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/asp2php

%files gtk
%defattr(0755,root,root)
/usr/bin/gtkasp2php

%changelog
* Tue Jul 24 2007 Tetsuya Morimoto <tmorimoto@miraclelinux.com>
- 0.77.3-1ml update 0.77.3 and applied a fix for CVE-2004-1261(buff_overflow)

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.11

* Sat Aug 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.5

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix documentation (Bug #14330)
- 0.75.2

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Preston Brown <pbrown@redhat.com>
- 0.75.1, and license changes to GPL

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.0

* Sun Jun 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- It's official now: GPL

* Fri Jun  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- build in main dist, now that it's open-sourced.

* Tue May 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.74.3, now that we have PHP 4.x...
- update URL
- REALLY fix munged summary for asp2php-gtk

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- fixed munged groups/descriptions/summaries

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
